<template>
    <div class="shop-tab-container">
        <table
            v-if="data.length"
            class="table-hover mb-4"
        >
            <thead class="table-header">
                <tr>
                    <th class="reminders-text">
                        Id
                    </th>
                    <th>Amount</th>
                    <th>Description</th>
                    <th>Test</th>
                </tr>
            </thead>
            <tbody
                class="table-body"
            >
                <tr
                    v-for="(fund, index) in data"
                    :key="index"
                    class="table-body-row"
                >
                    <th class="first-column">
                        <div>
                            {{ fund.id }}
                        </div>
                    </th>
                    <th>
                        {{ fund.amount }}
                    </th>
                    <th>
                        {{ fund.description }}
                    </th>
                    <th>{{ fund.test }}</th>
                </tr>
            </tbody>
        </table>
        <div class="funds-title">
            Create Application Credit
        </div>
        <div class="row mb-4 mt-4">
            <div class="col-md-4">
                <div>Description *</div>
                <b-form-input
                    v-model="description"
                    required
                />
                <div class="mt-3">
                    Amount *
                </div>
                <b-form-input
                    v-model="amount"
                    required
                    type="number"
                />
                <button
                    :disabled="description == '' || amount == ''"
                    type="button"
                    class="blue-btn mt-4"
                    @click="submitForm"
                >
                    Submit
                </button>
            </div>
        </div>
    </div>
</template>

<script>
import shops from '../../../mixins/admin/shops.service'

export default {
    name: "Refunds",
    mixins: [shops],
    data() {
        return {
            data: [],
            description: '',
            amount: '',
        }
    },
    mounted() {
        this.getRefundsData()
    },
    methods: {
        async getRefundsData() {
            const response = await this.getRefunds(this.$route.params.id)
            this.data = response.data
        },
        async submitForm() {
            try {
                await this.createRefunds(this.$route.params.id, {
                    description: this.description,
                    amount: this.amount
                })
                this.$notify({
                    type: 'success',
                    title: 'Created'
                });
                this.description = ''
                this.amount = ''
              await this.getRefundsData()
            }catch (error) {
                console.log(error)
            }

        }
    }
}
</script>

<style scoped>

.funds-title {
    font-size: 20px;
    color: #4786ff;
}
.first-column {
    text-align: left;
}

.shop-tab-container {
    margin-top: 20px;
}
.table-hover {
    min-width:auto;
}

</style>
